package com.engine.organization.mapper.trigger;

import org.apache.ibatis.annotations.Param;

/**
 * @author:dxfeng
 * @createTime: 2022/09/21
 * @version: 1.0
 */
public interface StaffTriggerMapper {
    int countCompanyUsers(@Param("ecCompanyId") Long ecCompanyId);

    int countDepartmentUsers(@Param("ecDepartmentId") Long ecDepartmentId);

    int countCompanyStaffNum(@Param("currentDate") String currentDate, @Param("companyId") Long companyId);

    int countDepartmentStaffNum(@Param("currentDate") String currentDate, @Param("departmentId") Long departmentId);

    int countJobStaffNum(@Param("currentDate") String currentDate, @Param("jobId") Long jobId);

    int updateOrgStaffs(@Param("currentDate") String currentDate, @Param("fType") String fType, @Param("fObjId") String fObjId, @Param("fPlan") Integer fPlan, @Param("fOnJob") Integer fOnJob);
}
